Skip to main content
DELETE
/
knowledge
/
articles
/
{id}
Delete an article
curl --request DELETE \
  --url https://api.getfernand.com/knowledge/articles/{id} \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.getfernand.com/knowledge/articles/{id}"

headers = {"X-API-Key": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.getfernand.com/knowledge/articles/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.getfernand.com/knowledge/articles/{id}"

req, _ := http.NewRequest("DELETE", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
using RestSharp;


var options = new RestClientOptions("https://api.getfernand.com/knowledge/articles/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-API-Key", "<api-key>");
var response = await client.DeleteAsync(request);

Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.delete("https://api.getfernand.com/knowledge/articles/{id}")
.header("X-API-Key", "<api-key>")
.asString();
{}
{
"error": "<string>"
}
Delete an article from the Knowledge Base. The article is removed from all collections it belongs to, and collection sort orders are automatically adjusted. The article is removed from the knowledge base structure and search indexes. If the article had a URL that changes due to deletion, internal references are updated to prevent broken links.

Authorizations

X-API-Key
string
header
required

Authenticate your account by including your secret key in API requests. You can manage your API keys in the Dashboard.

Authentication to the API is performed by using the HTTP Header X-API-Key.

Path Parameters

id
integer
required

ID of the article to delete.

Response

Article deleted successfully.

The response is of type object.